import 'dart:convert';

import 'package:flutter/services.dart';

class ICULoadData {
  /// 加载本地Json数据
  static Future<ICUResultData> loadJson(String jsonPath) async {
    ICUResultData res;
    try {
      String responseString = await rootBundle.loadString(jsonPath);
      if (responseString == null || responseString.isEmpty) {
        res = ICUResultData(null, false, 666);
      } else {
        var data = json.decode(responseString);
        if (data == null) {
          res = ICUResultData(null, false, 0);
        } else {
          res = ICUResultData(data, true, 200);
        }
      }
    } catch (e) {
      print(e);
      res = ICUResultData(null, false, 0);
    }
    return res;
  }
}

class ICUResultData {
  var data;
  bool result;
  int code;
  ICUResultData(this.data, this.result, this.code);
}
